Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
RequestPath::$currentPath property core/modules/system/src/Plugin/Condition/RequestPath.php The current path.
RequestPath::$pathMatcher property core/modules/system/src/Plugin/Condition/RequestPath.php The path matcher.
RequestPath::$requestStack property core/modules/system/src/Plugin/Condition/RequestPath.php The request stack.
RequestPath::buildConfigurationForm function core/modules/system/src/Plugin/Condition/RequestPath.php Form constructor.
RequestPath::create function core/modules/system/src/Plugin/Condition/RequestPath.php Creates an instance of the plugin.
RequestPath::defaultConfiguration function core/modules/system/src/Plugin/Condition/RequestPath.php Gets default configuration for this plugin.
RequestPath::evaluate function core/modules/system/src/Plugin/Condition/RequestPath.php Evaluates the condition and returns TRUE or FALSE accordingly.
RequestPath::getCacheContexts function core/modules/system/src/Plugin/Condition/RequestPath.php
RequestPath::submitConfigurationForm function core/modules/system/src/Plugin/Condition/RequestPath.php Form submission handler.
RequestPath::summary function core/modules/system/src/Plugin/Condition/RequestPath.php Provides a human readable summary of the condition's configuration.
RequestPath::validateConfigurationForm function core/modules/system/src/Plugin/Condition/RequestPath.php Form validation handler.
RequestPath::__construct function core/modules/system/src/Plugin/Condition/RequestPath.php Constructs a RequestPath condition plugin.
RequestPathTest class core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Tests system.module's request path condition.
RequestPathTest.php file core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php
RequestPathTest::$aliasManager property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The path alias manager used for testing.
RequestPathTest::$currentPath property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The current path.
RequestPathTest::$modules property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Modules to install.
RequestPathTest::$pluginManager property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The condition plugin manager under test.
RequestPathTest::$requestStack property core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php The request stack used for testing.
RequestPathTest::setUp function core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php
RequestPathTest::testConditions function core/tests/Drupal/KernelTests/Core/Plugin/Condition/RequestPathTest.php Tests the request path condition.
RequestPolicyInterface interface core/lib/Drupal/Core/PageCache/RequestPolicyInterface.php Defines the interface for request policy implementations.
RequestPolicyInterface.php file core/lib/Drupal/Core/PageCache/RequestPolicyInterface.php
RequestPolicyInterface::ALLOW constant core/lib/Drupal/Core/PageCache/RequestPolicyInterface.php Allow delivery of cached pages.
RequestPolicyInterface::check function core/lib/Drupal/Core/PageCache/RequestPolicyInterface.php Determines whether delivery of a cached page should be attempted.
RequestPolicyInterface::DENY constant core/lib/Drupal/Core/PageCache/RequestPolicyInterface.php Deny delivery of cached pages.
RequestSanitizer class core/lib/Drupal/Core/Security/RequestSanitizer.php Sanitizes user input.
RequestSanitizer.php file core/lib/Drupal/Core/Security/RequestSanitizer.php
RequestSanitizer::checkDestination function core/lib/Drupal/Core/Security/RequestSanitizer.php Checks a destination string to see if it is dangerous.
RequestSanitizer::processParameterBag function core/lib/Drupal/Core/Security/RequestSanitizer.php Processes a request parameter bag.
RequestSanitizer::sanitize function core/lib/Drupal/Core/Security/RequestSanitizer.php Strips dangerous keys from user input.
RequestSanitizer::SANITIZED constant core/lib/Drupal/Core/Security/RequestSanitizer.php Request attribute to mark the request as sanitized.
RequestSanitizer::SANITIZE_INPUT_SAFE_KEYS constant core/lib/Drupal/Core/Security/RequestSanitizer.php The name of the setting that configures the sanitize input safe keys.
RequestSanitizer::SANITIZE_LOG constant core/lib/Drupal/Core/Security/RequestSanitizer.php The name of the setting that determines if sanitized keys are logged.
RequestSanitizer::stripDangerousValues function core/lib/Drupal/Core/Security/RequestSanitizer.php Strips dangerous keys from $input.
RequestSanitizerTest class core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests RequestSanitizer class.
RequestSanitizerTest.php file core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php
RequestSanitizerTest::$errors property core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Log of errors triggered during sanitization.
RequestSanitizerTest::assertError function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Asserts that the expected error has been logged.
RequestSanitizerTest::createRequestForTesting function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Creates a request and sets PHP globals for testing.
RequestSanitizerTest::errorHandler function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Catches and logs errors to $this->errors.
RequestSanitizerTest::providerTestAcceptableDestinations function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testing acceptable destinations.
RequestSanitizerTest::providerTestRequestSanitization function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testRequestSanitization.
RequestSanitizerTest::providerTestSanitizedDestinations function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Data provider for testing sanitized destinations.
RequestSanitizerTest::setUp function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php
RequestSanitizerTest::testAcceptableDestinationGet function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests acceptable destinations are not removed from GET requests.
RequestSanitizerTest::testAcceptableDestinationPost function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests acceptable destinations are not removed from POST requests.
RequestSanitizerTest::testRequestSanitization function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests RequestSanitizer class.
RequestSanitizerTest::testSanitizedDestinationGet function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests unacceptable destinations are removed from GET requests.
RequestSanitizerTest::testSanitizedDestinationPost function core/tests/Drupal/Tests/Core/Security/RequestSanitizerTest.php Tests unacceptable destinations are removed from GET requests.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.